  %written by newday.prl
  FID_LOG = []; %needed to fake out matlab
  t0_array = 243.766829;
  attfile = 'edemo';
  year_string = 2001;
  start_dd = 243.766829;
  pages = 2;
  print_flag = 0;
  dt = 244.963843 - 243.766829;
  cruise_title = 'edemo';

  %load the att data and set up all the variables
  if exist('load_att')
     load_att;
     %this was taken from gattplot.m
     for t0 = t0_array
       t1 = t0 + dt;
       time_mask = (att(i_day,:) <= t1 & att(i_day,:) >= t0);

       jall = find(time_mask);
       jgood = find(time_mask & good_mask);
       njall = length(jall);
       njgood = length(jgood);

       fprintf(FID_LOG,'  t0: %5.1f;  %d points, ',      t0, njall);
       fprintf(FID_LOG,'%d accepted; %5.2f percent rejected\n', ...
             njgood, 100 * (njall - njgood)/njall);
       end
  else
     fprintf(2,'load_att not on path\n')
  end


