% This script illustrates automatic operation on all files
% in a directory.  It can be used for a first pass, or if
% it is known that the instrument was not running too long
% in port.  See load_lta_manual for an example of picking and choosing 

instclass = os;
% instclass = bb;


pingpath = '../ping';
files = dir(fullfile(pingpath, '*.lta'));

for ifile = 1:length(files)
   file = fullfile(pingpath, files(ifile).name)
   load_avg(instclass, file);
end
