/***************************************************************

   yr4digit

   Converts 2-digit years to 4 digit years, if necessary.
   Assumes the true year is after 1970; hence good to 2070.
   There is no error checking.

                        Sun  98/06/07

***************************************************************/

#if PROTOTYPE_ALLOWED
int yr4digit(int yr)
#else
int yr4digit(yr)
int yr;
#endif
{
   if (yr < 1970)
   {
      yr += 1900;
      if (yr < 1970) yr += 100;
   }
   return(yr);
}

