
## python Setup.py build_ext --inplace
##   builds the extension and leaves the .so file in this directory.


from distutils.core import setup
from distutils.extension import Extension
from Pyrex.Distutils import build_ext

setup(
  name = 'parsing',
  ext_modules=[
    Extension("nbspeed", ["nbspeed.pyx", "nbspeedsubs.c"]),
    Extension("checksums", ["checksums.pyx",]),
    Extension("pyfiletail", ["pyfiletail.pyx", "filetail.c"]),
    ],
  cmdclass = {'build_ext': build_ext}
)
