% Jules 2000/11/27

% put the diagnostics in this one; don't call them unless asked for

subtitle_comment = config.comment;
config.comment = '';

whitebg(gcf,'w');clf
new_pos = [.08 NaN .92 NaN];   %(new xstart and new width)
ax1 = subplot(411);
pos = get(ax1, 'pos');
set(ax1, 'pos', [new_pos(1)  pos(2) new_pos(3) pos(4)])

ax2 = subplot(412);
pos = get(ax2, 'pos');
set(ax2, 'pos', [new_pos(1)  pos(2) new_pos(3) pos(4)])

ax3 = subplot(413);
pos = get(ax3, 'pos');
set(ax3, 'pos', [new_pos(1)  pos(2) new_pos(3) pos(4)])

ax4 = subplot(414);
pos = get(ax4, 'pos');
set(ax4, 'pos', [new_pos(1)  pos(2) new_pos(3) pos(4)])



config.xlim = [config.start_dd config.start_dd+config.ddrange];
cfg =aplotit(data, config, 'cur_ax', ax1 , 'fn', 'fabs_sm',...
             'ord_name', ord_name,...
             'var_range',[AA.uvmin AA.uvmax], 'comment', ...
     sprintf('reflayer: %d to %d', config.rl_range(1), config.rl_range(2)));

config.cmap = mk_cmap(35,'jet');
cfg =aplotit(data, config, 'cur_ax', ax2, 'fn', 'amp',...      
             'ord_name', ord_name,...
             'var_range',[30 200]);


data.atbiasp = get_atbiasp(data);
config.minclipval.atbiasp = -40;      
config.maxclipval.atbiasp = 40;
config.title.atbiasp = 'ALONGTRACK BIAS PARAMETER (red-over-blue stripes)';
cfg =aplotit(data, config, 'cur_ax', ax3, 'fn', 'atbiasp');

cfg =aplotit(data, config, 'cur_ax', ax4, 'fn', 'e');

date_it

subtitle_comment = sprintf('%s (dday %3.1f - %3.1f)',...
                           subtitle_comment, min(data.dday), max(data.dday));
subtitle(subtitle_comment)
