% Jules 2000/11/27

% put the diagnostics in this one; don't call them unless asked for

subtitle_comment = config.comment;
config.comment = '';

whitebg(gcf,'w');clf
new_pos = [.08 NaN .92 NaN];   %(new xstart and new width)
ax1 = subplot(211);
pos = get(ax1, 'pos');
set(ax1, 'pos', [new_pos(1)  pos(2) new_pos(3) pos(4)])

ax2 = subplot(212);
pos = get(ax2, 'pos');
set(ax2, 'pos', [new_pos(1)  pos(2) new_pos(3) pos(4)])

config.xlim = [config.start_dd config.start_dd+config.ddrange];

data.atbiasp = get_atbiasp(data);
config.minclipval.atbiasp = -40;      
config.maxclipval.atbiasp = 40;
config.title.atbiasp = 'ALONGTRACK BIAS PARAMETER (red-over-blue stripes)';
cfg =aplotit(data, config, 'cur_ax', ax1 , 'fn', 'atbiasp',...
             'ord_name', ord_name);

cfg =aplotit(data, config, 'cur_ax', ax2, 'fn', 'e',...
                             'ord_name', ord_name);

date_it

subtitle_comment = sprintf('%s (dday %3.1f - %3.1f)',...
                           subtitle_comment, min(data.dday), max(data.dday));
subtitle(subtitle_comment)
