function fix_asllt(xyname)
%fix_asllt(xyname)
% xyname is the entire prefix for the xyt matlab output from adcpsect,
%     such as 'vect_xy'
% if longitude crosses the date line, positions may be misplaced.
% This will read the file, attempt to correct the positions, and write it
%          for later use

%JH 2005/05/31.  getting desperate. it worked on a cruise for 3 such crossings

load(xyname)

x = xyt(1,:);
y = xyt(2,:);
t = xyt(3,:);

xx = unwrap_lon(x);
mask = glitch(xx , 2);

newx = xx;
newx(~mask) = NaN;
newx=fillends(newx);

newx = rem(newx,360);

xyt = [newx;y;t];






save6(xyname,...
      'adcpsect_time', 'dbname', 'regrid_method', 'regrid_var', ...
      'xyt',...
      'year_base', 'z', 'z_label', 'zc');





