function fig = gplot()
% This is the machine-generated representation of a Handle Graphics object
% and its children.  Note that handle values may change when these objects
% are re-created. This may cause problems with any callbacks written to
% depend on the value of the handle at the time the object was saved.
% This problem is solved by saving the output as a FIG-file.
%
% To reopen this object, just type the name of the M-file at the MATLAB
% prompt. The M-file and its associated MAT-file must be on your path.
% 
% NOTE: certain newer features in MATLAB may not have been saved in this
% M-file due to limitations of this format, which has been superseded by
% FIG-files.  Figures which have been annotated using the plot editor tools
% are incompatible with the M-file/MAT-file format, and should be saved as
% FIG-files.

h0 = figure('Color',[0.92 0.92 0.97], ...
	'FileName','gplot.m', ...
	'MenuBar','none', ...
	'Name',' Main Menu', ...
	'NumberTitle','off', ...
	'PaperPosition',[18 180 576 432], ...
	'PaperUnits','points', ...
	'Position',[346 229 340 407], ...
	'Tag','Figmain', ...
	'ToolBar','none');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
	'FontSize',20, ...
	'ListboxTop',0, ...
	'Position',[13.5 320.4 273.6 28.8], ...
	'String','Welcome to ADCP Plotting', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'ListboxTop',0, ...
	'Position',[71.009 104.4 161.1 144], ...
	'Style','frame', ...
	'Tag','Frame1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
	'FontSize',14, ...
	'FontWeight','demi', ...
	'ForegroundColor',[1 0 0], ...
	'ListboxTop',0, ...
	'Position',[14.4 253.8 158.4 16.2], ...
	'String','Select type of plot:', ...
	'Style','text', ...
	'Tag','StaticText2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.7 0.7 0.7], ...
	'Callback','close(gcbf)', ...
	'ListboxTop',0, ...
	'Position',[27 11.7 66.509 22.5], ...
	'String','Exit', ...
	'Tag','btnCancel');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.7 0.7 0.7], ...
	'Callback','plotmaster(''help'')', ...
	'ListboxTop',0, ...
	'Position',[118. 11.7 66.509 22.5], ...
	'String','Help', ...
	'Tag','btnHelp');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.7 0.7 0.7], ...
	'Callback','plotmaster(''okcallback'')', ...
	'ListboxTop',0, ...
	'Position',[209.7 11.7 66.509 22.5], ...
	'String','Continue', ...
	'Tag','btnOK');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.702 0.702 0.702], ...
	'ListboxTop',0, ...
	'Position',[27.9 50.309 249.3 38.7], ...
	'Style','frame', ...
	'Tag','Frame2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
	'FontSize',14, ...
	'FontWeight','demi', ...
	'ForegroundColor',[1 0 0], ...
	'ListboxTop',0, ...
	'Position',[25.2 288 177.3 16.2], ...
	'String','Prepare data for plotting:', ...
	'Style','text', ...
	'Tag','StaticText2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.7 0.7 0.7], ...
	'Callback','! adcpsect.py', ...
	'ListboxTop',0, ...
	'Position',[199.8 287.1 66.509 22.5], ...
	'String','Adcpsect', ...
	'Tag','btnAdcpsect');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
   'FontSize',12, ...
   'FontWeight','demi', ...
	'Callback','plotmaster(''radioreset'',''1'')', ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[94.409 205.5 114.3 33.3], ...
	'String','Vector Plots', ...
	'Style','radiobutton', ...
	'Tag','Radiovector');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
	'Callback','plotmaster(''radioreset'',''2'')', ...
	'HorizontalAlignment','left', ...
   'FontSize',12, ...
   'FontWeight','demi', ...
	'ListboxTop',0, ...
	'Position',[94.409 160.3 114.3 33.3], ... 
	'String','Contour Plots', ...
	'Style','radiobutton', ...
	'Tag','Radiocontour');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
   'FontSize',12, ...
   'FontWeight','demi', ...
	'Callback','plotmaster(''radioreset'',''3'')', ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[94.409 115.8 114.3 33.3], ... 
	'String','Panel Plots', ...
	'Style','radiobutton', ...
	'Tag','Radiopanel');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
	'Callback','plotmaster(''radioreset'',''5'')', ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[34.2 57.509 108.9 24.3], ...
	'String','Load Data', ...
	'Style','radiobutton', ...
	'Tag','Radiodata', ...
	'Value',1);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
	'Callback','plotmaster(''radioreset'',''6'')', ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[161.1 57.509 108.9 24.3], ...
	'String','Load Saved Config.', ...
	'Style','radiobutton', ...
	'Tag','Radioconfig');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
	'FontSize',14, ...
	'FontWeight','demi', ...
	'ForegroundColor',[1 0 0], ...
	'ListboxTop',0, ...
	'Position',[14.4 254.7 158.4 16.2], ...
	'String','Select type of plot:', ...
	'Style','text', ...
	'Tag','StaticText2');
if nargout > 0, fig = h0; end
