function fig = gplotpanels()
% This is the machine-generated representation of a Handle Graphics object
% and its children.  Note that handle values may change when these objects
% are re-created. This may cause problems with any callbacks written to
% depend on the value of the handle at the time the object was saved.
% This problem is solved by saving the output as a FIG-file.
%
% To reopen this object, just type the name of the M-file at the MATLAB
% prompt. The M-file and its associated MAT-file must be on your path.
% 
% NOTE: certain newer features in MATLAB may not have been saved in this
% M-file due to limitations of this format, which has been superseded by
% FIG-files.  Figures which have been annotated using the plot editor tools
% are incompatible with the M-file/MAT-file format, and should be saved as
% FIG-files.

global PANELFIG

str_a = { 
    'PERCENT GOOD'
    'AMPLITUDE'
    'SPECTRAL WIDTH'
    'W'
    'ERROR VELOCITY'
    'MEASURED U'
    'MEASURED V'
    'UABS  (smoothr)'
    'UABS  (gps nav)'
    'VABS  (smoothr)'
    'VABS  (gps nav)'
    'FORE ABS (smoothr)'
    'FORE ABS (gps nav)'
    'PORT ABS (smoothr)'
    'PORT ABS (gps nav)'
    'Various (mixed)'};
PANELFIG.pulldownlist = str_a;

str_b = {'None'};
if isfield(PANELFIG, 'loadfn')
   if ~isempty(PANELFIG.loadfn)
      str_b = PANELFIG.loadfn;
   end
end

h0 = figure('Color',[0.92 0.92 0.97], ...
	'FileName','gplotpanels.m', ...
	'MenuBar','none', ...
	'Name','Panel Plots', ...
	'NumberTitle','off', ...
	'PaperPosition',[18 180 576 432], ...
	'PaperUnits','points', ...
	'Position',[270 116 496 575], ...
	'Tag','Figpanel', ...
	'ToolBar','none');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
   'Position',[208.8 377.1 108.9 11.7], ...
	'String','Number of bins:', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
   'Position',[45 372.6 161.1 18.9], ...
	'Style','edit', ...
	'Tag','txtboxtitle');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
   'Position',[19.8 371.7 26.1 15.3], ...
	'String','Title:', ...
	'Style','text', ...
	'Tag','StaticText2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[281.7 442.8 48.509 15.3], ...
	'String','Year base:', ...
	'Style','text', ...
	'Tag','StaticText2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.7 0.7 0.7], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[217.8 314.09 96.3 23.4], ...
	'String','Add date stamp', ...
	'Style','checkbox', ...
	'Tag','chkboxdate', ...
	'Value',1);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
	'FontSize',12, ...
	'FontWeight','demi', ...
	'ForegroundColor',[1 0 0], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[34.2 160.2 68.309 14.4], ...
	'String','FILES:', ...
	'Style','text', ...
	'Tag','StaticText3', ...
	'UserData','[ ]');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
	'FontSize',12, ...
	'FontWeight','demi', ...
	'ForegroundColor',[1 0 0], ...
	'ListboxTop',0, ...
	'Position',[24.3 440.09 96.3 16.2], ...
	'String','BASIC INPUT:', ...
	'Style','text', ...
	'Tag','StaticText3', ...
	'UserData','[ ]');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
	'FontSize',12, ...
	'FontWeight','demi', ...
	'ForegroundColor',[1 0 0], ...
	'ListboxTop',0, ...
	'Position',[18 397.8 136.8 11.7], ...
	'String','OTHER FEATURES:', ...
	'Style','text', ...
	'Tag','StaticText3', ...
	'UserData','[ ]');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
	'ListboxTop',0, ...
	'Position',[16.2 467.09 413.1 10.8], ...
	'String','__________________________________________________________', ...
	'Style','text', ...
	'Tag','StaticText4');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.7 0.7 0.7], ...
	'Callback','panelmaster(''printfile'');', ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[43.2  112.5   98.1   21.6], ...
	'String','Save print file', ...
	'Style','checkbox', ...
	'Tag','chkboxprint');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
	'FontSize',18, ...
	'ListboxTop',0, ...
	'Position',[143.1 471.6 151.2 25.2], ...
	'String','Panel Plots', ...
	'Style','text', ...
	'Tag','StaticText5');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.71 0.71 0.71], ...
	'Callback','panelmaster(''cancel'');  ', ...
	'ForegroundColor',[0 0 1], ...
	'ListboxTop',0, ...
	'Position',[76.409 16.2 80.0 25.2], ...
	'String','Cancel/ Close', ...
	'Tag','btnCancel');

%%% help button
%h1 = uicontrol('Parent',h0, ...
%	'Units','points', ...
%	'BackgroundColor',[0.71 0.71 0.71], ...
%	'Callback','panelmaster(''help'');  ', ...
%	'ForegroundColor',[0 0 1], ...
%	'ListboxTop',0, ...
%	'Position',[184. 16.2 80.0 25.2], ...
%	'String','Help', ...
%	'Tag','btnHelp');


h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.702 0.702 0.702], ...
	'Callback','panelmaster(''readfigpanel'')', ...
	'ForegroundColor',[0 0 1], ...
	'ListboxTop',0, ...
	'Position',[291.6 16.2 88.109 25.2], ...
	'String','Update & Preview', ...
	'Tag','btnOK');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[117 444.6 86.309 13.5], ...
	'String','Prelim. data source:', ...
	'Style','text', ...
	'Tag','StaticText2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.702 0.702 0.702], ...
	'ListboxTop',0, ...
	'Position',[164.7 113.4 251.1 62.009], ...
	'Style','frame', ...
	'Tag','Frame1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
	'ListboxTop',0, ...
	'Position',[172.8 156.6 234.9 12.6], ...
	'String','Enter/ Edit name of previously saved plot-setup file:', ...
	'Style','text', ...
	'Tag','StaticText6');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'ForegroundColor',[0 0 0], ...
   'HorizontalAlignment','right', ...
	'ListboxTop',0, ...
	'Position',[229 117 112 18.9], ...
	'String',str_b, ...
	'Style','popupmenu', ...
	'Tag','popuploadfn', ...
	'Value',1);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.702 0.702 0.702], ...
	'Callback','panelmaster(''loadnow'');', ...
	'ForegroundColor',[0 0 1], ...
	'ListboxTop',0, ...
	'Position',[348.3 123.3 58.409 22.5], ...
	'String','Load Now', ...
	'Tag','btnLoad');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.702 0.702 0.702], ...
	'ListboxTop',0, ...
	'Position',[164.7 45.9 251.1 63.809], ...
	'Style','frame', ...
	'Tag','Frame1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
	'ListboxTop',0, ...
	'Position',[170.1 92.609 237.6 11.7], ...
	'String','Enter/ Edit name of file to save plot-setup:', ...
	'Style','text', ...
	'Tag','StaticText6');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[261.9 52.2 80.009 18], ...
	'String','panelconfig.mat', ...
	'Style','edit', ...
	'Tag','txtboxsavefn');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.702 0.702 0.702], ...
	'Callback','panelmaster(''savenow'');', ...
	'ForegroundColor',[0 0 1], ...
	'ListboxTop',0, ...
	'Position',[348.3 57.509 58.409 22.5], ...
	'String','Save Now', ...
	'Tag','btnSave');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.7 0.7 0.7], ...
	'Callback','panelmaster(''xytsection'');', ...
	'ForegroundColor',[0 0 1], ...
	'ListboxTop',0, ...
	'Position',[68.41 191.7 186.3 25.2], ...
	'String','Select dates with XYTZOOM (numbers) ...', ...
	'Tag','btnXYTzoom');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.702 0.702 0.702], ...
	'Callback','panelmaster(''decimal'')', ...
	'ListboxTop',0, ...
	'Position',[86.309 314.09 86.309 23.4], ...
	'String','Decimal days', ...
	'Style','checkbox', ...
	'Tag','chkdecimal');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.702 0.702 0.702], ...
	'Callback','panelmaster(''calendar'')', ...
	'ListboxTop',0, ...
	'Position',[86.309 341.1 86.309 23.4], ...
	'String','Calendar dates', ...
	'Style','checkbox', ...
	'Tag','chkcalendar', ...
	'Value',1);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[29.7 345.6 57.509 12.6], ...
	'String','Add to title:', ...
	'Style','text', ...
	'Tag','StaticText2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.702 0.702 0.702], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[217.8 341.1 96.3 23.4], ...
	'String','Omit main title', ...
	'Style','checkbox', ...
	'Tag','chktitle');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.702 0.702 0.702], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[314.1 341.1 96.3 23.4], ...
	'String','Fonts bold', ...
	'Style','checkbox', ...
	'Tag','chkbold');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',0, ...
   'Position',[283.5 373.5 28.8 18], ...
	'String','60', ...
	'Style','edit', ...
	'Tag','txtboxbins');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.702 0.702 0.702], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[314.1 314.09 96.3 23.4], ...
	'String','Reduce resolution', ...
	'Style','checkbox', ...
	'Tag','chkresolution');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
	'FontWeight','bold', ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[52.2 257.4 52.2 11.7], ...
	'String','Start Day:', ...
	'Style','text', ...
	'Tag','StaticText2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[126 257.4 25.2 11.7], ...
	'String','dd', ...
	'Style','text', ...
	'Tag','StaticText2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[171.9 257.4 52.2 11.7], ...
	'String','calendar', ...
	'Style','text', ...
	'Tag','StaticText2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[51.3 241.2 62.009 11.7], ...
	'String','Earliest poss.', ...
	'Style','text', ...
	'Tag','StaticText2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
	'ForegroundColor',[1 0 0], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[52.2 225 66.509 11.7], ...
	'String','Use either ->', ...
	'Style','text', ...
	'Tag','StaticText2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'Enable','inactive', ...
	'ListboxTop',0, ...
	'Position',[113.4 239.4 42.3 16.2], ...
	'String','199.03', ...
	'Style','edit', ...
	'Tag','tboxbegddposs');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'Callback','panelmaster(''datefix'', ''1'');', ...
	'ListboxTop',0, ...
	'Position',[113.4 222.3 42.3 16.2], ...
	'Style','edit', ...
	'Tag','tboxbegdduse');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[189 292.40 30.6 16.2], ...
	'String','1', ...
	'Style','edit', ...
	'Tag','txtboxdaysperp');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'Enable','inactive', ...
	'ListboxTop',0, ...
	'Position',[156.6 239.4 65.609 16.2], ...
	'String','2000/07/18', ...
	'Style','edit', ...
	'Tag','tboxbegcalposs');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'Callback','panelmaster(''datefix'',''2'');', ...
	'ListboxTop',0, ...
	'Position',[156.6 222.3 65.609 16.2], ...
	'Style','edit', ...
	'Tag','tboxbegcaluse');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[72.809 291.6 114.3 13.5], ...
	'String','1) No. of days / panel ->', ...
	'Style','text', ...
	'Tag','StaticText2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'Callback','panelmaster(''datefix'', ''4'');', ...
	'ListboxTop',0, ...
	'Position',[334.8 223.2 65.609 16.2], ...
	'Style','edit', ...
	'Tag','tboxendcaluse');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'Enable','inactive', ...
	'ListboxTop',0, ...
	'Position',[334.8 240.3 65.609 16.2], ...
	'String','2000/08/12', ...
	'Style','edit', ...
	'Tag','tboxendcalposs');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'Callback','panelmaster(''datefix'', ''3'');', ...
	'ListboxTop',0, ...
	'Position',[291.6 223.2 42.3 16.2], ...
	'Style','edit', ...
	'Tag','tboxenddduse');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'Enable','inactive', ...
	'ListboxTop',0, ...
	'Position',[291.6 240.3 42.3 16.2], ...
	'String','224.75', ...
	'Style','edit', ...
	'Tag','tboxendddposs');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
	'ForegroundColor',[1 0 0], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[225.9 225.9 63.809 11.7], ...
	'String','Use either ->', ...
	'Style','text', ...
	'Tag','StaticText2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[226.8 242.1 62.099 11.7], ...
	'String','Latest poss.', ...
	'Style','text', ...
	'Tag','StaticText2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[346.40 259.2 53.009 11.7], ...
	'String','calendar', ...
	'Style','text', ...
	'Tag','StaticText2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[304.2 258.3 25.2 11.7], ...
	'String','dd', ...
	'Style','text', ...
	'Tag','StaticText2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
	'FontWeight','bold', ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[228.6 257.4 53.009 11.7], ...
	'String','End Day:', ...
	'Style','text', ...
	'Tag','StaticText2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
	'HorizontalAlignment','right', ...
	'ListboxTop',0, ...
	'Position',[103.5  419.4 72.809 13.5], ...
	'String','../adcpdb/a0006', ...
	'Style','text', ...
	'Tag','txtboxdb');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[30.6 419.4 72.809 13.5], ...
	'String','Database name:', ...
	'Style','text', ...
	'Tag','StaticText2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[372.6 291.6 30.6 16.2], ...
	'String','4', ...
	'Style','edit', ...
	'Tag','txtboxpppg');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[228.6 294.3 142.2 11.7], ...
	'String','2) No. of panels / page (1-5) ->', ...
	'Style','text', ...
	'Tag','StaticText2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[72.809 275.4 86.309 13.5], ...
	'String','3) No. of pages ->', ...
	'Style','text', ...
	'Tag','StaticText2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[189 274.5 30.6 16.2], ...
	'String','1', ...
	'Style','edit', ...
	'Tag','txtboxnopgs');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[228.6 277.2 172.2 11.7], ...
	'String','4) Total No. of days = 4', ...
	'Style','text', ...
	'Tag','lbldays');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
	'FontWeight','bold', ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[43.2 290.7 31.5 14.4], ...
	'String','Enter:', ...
	'Style','text', ...
	'Tag','StaticText2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[187.2 419.4 69.3 13.5], ...
	'String','Type of panels:', ...
	'Style','text', ...
	'Tag','StaticText2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.702 0.702 0.702], ...
	'Callback','panelmaster(''mixedtypes'');', ...
	'ForegroundColor',[0 0 1], ...
	'ListboxTop',0, ...
	'Max',16, ...
	'Min',1, ...
	'Position',[254.7 417.6 149.4 19.8], ...
	'String',str_a, ...
	'Style','popupmenu', ...
	'Tag','Popuppaneltype', ...
	'Value',1);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[180 345.6 36 11.7], ...
	'String','Layout:', ...
	'Style','text', ...
	'Tag','StaticText2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[43.2 97.2 69.3 11.7], ...
	'String','Print file name:', ...
	'Style','text', ...
	'Tag','StaticText2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',0, ...
   'Position',[43.2 74.7 98.1 20.7], ...
	'Style','edit', ...
	'Tag','txtboxprintfn');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
   'Callback','panelmaster(''renewloadfn'');', ...
	'ListboxTop',0, ...
   'HorizontalAlignment','right', ...
	'Position',[172.8 137.7 169.2 17.1], ...
	'Style','edit', ...
	'Tag','txtboxloadpath');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.702 0.702 0.702], ...
	'ListboxTop',0, ...
	'Position',[171 72.809 173 14.4], ...
	'String','testing', ...
   'HorizontalAlignment','right', ...
	'Style','text', ...
	'Tag','dynotextoutpath');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'ListboxTop',0, ...
	'Position',[173 118.8 53.009 13.5], ...
	'String','file name:', ...
	'Style','text', ...
	'Tag','StaticText7');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'ListboxTop',0, ...
	'Position',[208.8 53.009 53.009 13.5], ...
	'String','file name:', ...
	'Style','text', ...
	'Tag','StaticText7');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
	'ListboxTop',0, ...
	'Position',[16.2 181.8 416.60 10.8], ...
	'String','__________________________________________________________', ...
	'Style','text', ...
	'Tag','StaticText4');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[329.4 444.6 48.509 13.5], ...
	'String','Year base:', ...
	'Style','text', ...
	'Tag','textyear');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[200.7 445.40 81.809 12.6], ...
	'String','Year base:', ...
	'Style','text', ...
	'Tag','textdata');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.702 0.702 0.702], ...
	'Callback','panelmaster(''update'');', ...
	'ForegroundColor',[0 0 1], ...
	'ListboxTop',0, ...
	'Position',[304.2 191.7 80.009 25.2], ...
	'String','Update', ...
	'Tag','Pushbutton1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.7 0.7 0.7], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
   'Position',[43.2 138.6 98.1 20.7], ...
	'String','Display in B/W', ...
	'Style','checkbox', ...
	'Tag','chkcolor');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.7 0.7 0.7], ...
	'Callback','panelmaster(''lock'');', ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[42.3 52.2 98.1 21.6], ...
	'String','Lock p. file name', ...
	'Style','checkbox', ...
	'Tag','chklock');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.7 0.7 0.7], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[318.6 369.9 90.9 25.2], ...
	'String','Apply db flags', ...
	'Style','checkbox', ...
	'Tag','chkflag');
if nargout > 0, fig = h0; end
