function fig = mvecfig()
% This is the machine-generated representation of a Handle Graphics object
% and its children.  Note that handle values may change when these objects
% are re-created. This may cause problems with any callbacks written to
% depend on the value of the handle at the time the object was saved.
% This problem is solved by saving the output as a FIG-file.
%
% To reopen this object, just type the name of the M-file at the MATLAB
% prompt. The M-file and its associated MAT-file must be on your path.
% 
% NOTE: certain newer features in MATLAB may not have been saved in this
% M-file due to limitations of this format, which has been superseded by
% FIG-files.  Figures which have been annotated using the plot editor tools
% are incompatible with the M-file/MAT-file format, and should be saved as
% FIG-files.

h0 = figure('Color',[0.92 0.92 0.97], ...
	'FileName','mvecfig.m', ...
	'MenuBar','none', ...
	'Name','  Vector Processing', ...
	'NumberTitle','off', ...
	'PaperPosition',[18 180 576 432], ...
	'PaperUnits','points', ...
	'Position',[277 72 493 628], ...
	'Tag','vecfig', ...
	'ToolBar','none');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
	'FontSize',17, ...
	'ForegroundColor',[1 0 0], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[145.8 526.5 133.2 18.9], ...
	'String','Marker features', ...
	'Style','text', ...
	'Tag','StaticText2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[142.2 467.1 31.5 18.9], ...
	'String','red', ...
	'Style','edit', ...
	'Tag','txtboxcolor');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[173.7 467.1 51.3 15.3], ...
	'String','Face color (to override use CData (array)', ...
	'Style','text', ...
	'Tag','StaticText4');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[52.2 282.6 43.2 18.9], ...
	'String','60', ...
	'Style','edit', ...
	'Tag','txtboxheadangle');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[52.2 243 43.2 18.9], ...
	'String','1', ...
	'Style','edit', ...
	'Tag','txtboxshaftwidth');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[52.2 305.1 43.2 18.9], ...
	'String','5', ...
	'Style','edit', ...
	'Tag','txtboxheadlength');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[104.4 281.7 214.2 18], ...
	'String','Head angle; degrees: angle of tip', ...
	'Style','text', ...
	'Tag','StaticText4');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[104.4 307.8 261.9 17.1], ...
	'String','Head length; points: length of tiiip (zero = no head)', ...
	'Style','text', ...
	'Tag','StaticText4');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[104.4 239.4 261.9 16.2], ...
	'String','Shaft width; points: width of arrow shaft', ...
	'Style','text', ...
	'Tag','StaticText4');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[132.3 344.7 261.9 17.1], ...
	'String',' Off = default: places the tail of the arrow on x, y', ...
	'Style','text', ...
	'Tag','StaticText4');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.702 0.702 0.702], ...
	'Callback','close(gcbf);', ...
	'FontSize',12, ...
	'ForegroundColor',[0 0 1], ...
	'ListboxTop',0, ...
	'Position',[80.09 19.8 75.59 23.4], ...
	'String','Cancel', ...
	'Tag','btnCancel');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.702 0.702 0.702], ...
	'Callback','vectormaster(''mvecfigOK'');', ...
	'FontSize',12, ...
	'ForegroundColor',[0 0 1], ...
	'ListboxTop',0, ...
	'Position',[285.3 20.7 74.69 23.4], ...
	'String','OK', ...
	'Tag','btnOK');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[346.5 465.3 51.3 15.3], ...
	'String','Edge color', ...
	'Style','text', ...
	'Tag','StaticText4');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[315 465.3 31.5 18.9], ...
	'String','none', ...
	'Style','edit', ...
	'Tag','txtboxedgecolor');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[53.1 261.9 43.2 18.9], ...
	'String','NaN', ...
	'Style','edit', ...
	'Tag','txtboxheadwidth');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[104.4 260.1 261.9 16.2], ...
	'String','Head width; points: instead of angle', ...
	'Style','text', ...
	'Tag','StaticText4');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.702 0.702 0.702], ...
	'ListboxTop',0, ...
	'Position',[56.7 344.7 72 21], ...
	'String','Centered', ...
	'Style','checkbox', ...
	'Tag','chkcentered');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[218.7 427.5 192.6 16.2], ...
	'String','Color with this file (Cdata: if nec.)', ...
	'Style','text', ...
	'Tag','StaticText4');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[571.05 1 283.5 16.2], ...
	'String','Color with existing SST file (.../ edit / *.tem or corrtemp.dat)', ...
	'Style','text', ...
	'Tag','StaticText4');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'HorizontalAlignment','right', ...
	'ListboxTop',0, ...
	'Position',[142.2 443.7 242.1 18.9], ...
	'String','corrtemp.dat', ...
	'Style','edit', ...
	'Tag','txtboxcfile');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.702 0.702 0.702], ...
	'Callback','vectormaster(''gettempfilepath'')', ...
	'FontWeight','bold', ...
	'ListboxTop',0, ...
	'Position',[383. 443.7 28.8 21.6], ...
	'String','. . .', ...
	'Tag','btngettfpath');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
   'Position',[254.7 387.9 161.1 16.2], ...
	'String','Custom [Min Max] values for plot', ...
	'Style','text', ...
	'Tag','StaticText4');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',0, ...
   'Position',[200.7 389.7 52.2 18], ...
	'String','auto', ...
	'Style','edit', ...
	'Tag','txtboxcdatamm');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
	'ForegroundColor',[1 0 0], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[170.1 199.8 239.4 14.4], ...
	'String','For circles (e.g. cruise trk), use Scale = 0 on main dialog.', ...
	'Style','text', ...
	'Tag','StaticText2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.702 0.702 0.702], ...
	'ListboxTop',0, ...
	'Position',[55.8 146.7 84 21], ...
	'String','Use Extra File', ...
	'Style','checkbox', ...
	'Tag','chksupplementary');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[140.4 151.2 168.3 16.2], ...
	'String','Superimpose additional data as circles', ...
	'Style','text', ...
	'Tag','StaticText4');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[71.09 517.5 294.3 10.8], ...
	'String','___________________________________________________', ...
	'Style','text', ...
	'Tag','StaticText4');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[54. 198.9 43.2 18.9], ...
	'String','10', ...
	'Style','edit', ...
	'Tag','txtboxcirclescale');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[106.2 198.9 64.8 16.2], ...
	'String','Diameter scale', ...
	'Style','text', ...
	'Tag','StaticText4');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
	'FontSize',12, ...
	'ForegroundColor',[0 0 1], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[36 492.3 64.8 18], ...
	'String','Coloring:', ...
	'Style','text', ...
	'Tag','StaticText2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
	'FontSize',12, ...
	'ForegroundColor',[0 0 1], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[38.7 366.3 75.6 18], ...
	'String','Positioning:', ...
	'Style','text', ...
	'Tag','StaticText2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
	'FontSize',12, ...
	'ForegroundColor',[0 0 1], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[38.7 322.2 75.6 18], ...
	'String','Arrows:', ...
	'Style','text', ...
	'Tag','StaticText2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
	'FontSize',12, ...
	'ForegroundColor',[0 0 1], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[38.7 216. 75.6 18], ...
	'String','Circles:', ...
	'Style','text', ...
	'Tag','StaticText2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
	'ForegroundColor',[1 0 0], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[220.5 468.9 89.1 13.5], ...
	'String',' none => non-solid', ...
	'Style','text', ...
	'Tag','StaticText2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
	'FontSize',12, ...
	'ForegroundColor',[0 0 1], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[38.7 169.2 102.6 18], ...
	'String','Additional Data:', ...
	'Style','text', ...
	'Tag','StaticText2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[142.2 136.8 250.2 16.2], ...
	'String','e.g. Stations (Nx5 ASCII file = sta, cast, dday, lon, lat)', ...
	'Style','text', ...
	'Tag','StaticText4');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[55.8 123.3 43.2 18.9], ...
	'String','none', ...
	'Style','edit', ...
	'Tag','txtboxcolorsupp');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[107.1 120.6 261.9 16.2], ...
	'String','Face color (Matlab refs. or code;  for non-solid = none)', ...
	'Style','text', ...
	'Tag','StaticText4');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[55.8 101.7 43.2 19.8], ...
	'String','red', ...
	'Style','edit', ...
	'Tag','txtboxedgecolorsupp');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[55.8 80.99 44.09 18.9], ...
	'String','20', ...
	'Style','edit', ...
	'Tag','txtboxcirclescalesupp');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[106.2 79.19 130.5 16.2], ...
	'String','Diameter scale', ...
	'Style','text', ...
	'Tag','StaticText4');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[107.1 99.89 130.5 16.2], ...
	'String','Edge color', ...
	'Style','text', ...
	'Tag','StaticText4');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'HorizontalAlignment','right', ...
	'ListboxTop',0, ...
	'Position',[121.5 61.2 261.7 19.8], ...
	'Style','edit', ...
	'Tag','txtboxsuppfile');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.702 0.702 0.702], ...
	'Callback','vectormaster(''getsuppfilepath'')', ...
	'FontWeight','bold', ...
	'ListboxTop',0, ...
	'Position',[383. 61.2 28.8 21.6], ...
	'String','. . .', ...
	'Tag','btngettfpath2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
	'ForegroundColor',[1 0 0], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[134.1 172.8 284.4 14.4], ...
	'String','It is the users responsibility to assure geographic compatibility, etc.', ...
	'Style','text', ...
	'Tag','StaticText4');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[54.89 60.3 67.5 17.1], ...
	'String','Path/file name:', ...
	'Style','text', ...
	'Tag','StaticText4');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
   'Callback','vectormaster(''radiocolor'', ''1'');', ...
	'FontSize',10, ...
	'Position',[54 467  84 21], ...
	'String','Fixed Color', ...
	'Style','radiobutton', ...
	'Tag','chkfixedcolor', ...
	'Value',1);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
   'Callback','vectormaster(''radiocolor'', ''2'');', ...
	'FontSize',10, ...
	'Position',[54 443.7  84 21], ...
	'String','Use Data', ...
	'Style','radiobutton', ...
	'Tag','chktemperature');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
   'Callback','vectormaster(''radioscale'', ''1'');', ...
	'FontSize',10, ...
	'HorizontalAlignment','left', ...
	'Position',[70 425 120 18], ...
	'String','Scale to whole cruise', ...
	'Style','radiobutton', ...
	'Tag','radiotempcruise');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
   'Callback','vectormaster(''radioscale'', ''2'');', ...
	'FontSize',10, ...
	'HorizontalAlignment','left', ...
	'Position',[70 408 120 18], ...
	'String','Scale to this plot only', ...
	'Style','radiobutton', ...
	'Tag','radiotempplot', ...
	'Value',1);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
   'Callback','vectormaster(''radioscale'', ''3'');', ...
	'FontSize',10, ...
	'HorizontalAlignment','left', ...
	'Position',[70 391 120 18], ...
	'String','Define scale range ->', ...
	'Style','radiobutton', ...
	'Tag','radiotempcustom');
if nargout > 0, fig = h0; end
