function [cmat, hh, cfmat] = contourf6(varargin)
% [cmat, hh, cfmat] = contourf6(varargin)
% make contourf act like version 6
%

if version_int == 7
   argcell = { 'v6', varargin{:}};
else
   argcell = varargin;
end

if nargout == 0
   contourf(argcell{:});
elseif nargout == 1
   cmat = contourf(argcell{:});
elseif nargout == 2
   [cmat, hh] = contourf(argcell{:});
elseif nargout == 3
   [cmat, hh, cfmat] = contourf(argcell{:});
end
