function [cdata, cconfig]= get_cdata(rcfg, varargin)
% [cdata, cconfig] = get_cdata(cfg, varargin)
% cdata, cconfig are from getsome_adcp
% uses cfg = get_uhdascfg(...)
% getsome_adcp using cfg and varargin (coarsely sampled)
% plot amp, umeas - reflayer, vmeas - reflayer
%



cfg.ddrange = [];
cfg.step = 1;

cfg = fillstruct(cfg, varargin);


if isstr(cfg.ddrange)
   cfg.ddrange = [-10000, 10000];
end


[cdata, cconfig]=getsome_adcp(rcfg,'ddrange', cfg.ddrange,...
                                  'step', cfg.step);

