function bt = read_bt(instclass, fid, config)
% bt =  read_bt(instclass, fid, config)

NB = config.nbeams_used;

bt.status = fread(fid, 1, 'int16');
bt.range =  fread(fid, NB, 'uint16');
bt.range(bt.range == 0) = NaN;
bt.vel   =  fread(fid, NB, 'int16');
bt.vel(bt.vel == 32767) = NaN;

