function r2mag=abs_nx2(vector)
% r2mag=abs_nx2(vector)
%vector is nx2
%r2mag is sqrt(vector(:,1).^2+vector(:,2).^2);


if (nargin~=1)
	help abs2
	error('input is an Nx2 vector')
end

[cols,rows]=size(vector);
if (rows~=2)
	help abs2
	error('input is an Nx2 vector')
end

r2mag =  sqrt(vector(:,1).^2+vector(:,2).^2);
