

    %% no diary written %% 
   
      % begin "matcfgstr" string, created by quick_adcp.py
      startdir = pwd;
      instclass = os;
      pingtype = 'bb';
      instname = 'None';
      yearbase = 2004;
      cruiseid = 'vmdas_osbbenx';
      % end  "matcfgstr" string, created by quick_adcp.py
      

   %(ensemble_dday)s

   % if using ENS data, 
   % You must specify the angle by which to rotate the data collected in
   % beam coordinates into earth coordinates.  There is a parameter used
   % during data collection:
   %         h_align = offset_for_heading_used_during_aquisition - ...
   %                          codas_correction_value
   %  a decent guess for the offset_for_heading_used_during_aquisition is
   %  the heading alignment in the concurrent LTA file.


   params.interval = 300;    
   params.yearbase = 2004;
   params.h_align = 0.000000;   
   params.ducer_depth = 7;
   params.velscale     = 1.0;


   params.pingedit = 'all';
   params.editcfg = get_pedefaults(instclass, pingtype);

   % can override single ping editing either manually or in an m-file
   if exist('override_editcfg.m','file')
      override_editcf
   end
   
   files = {'../ping/KMADCP092_000000.ENX',...
'../ping/KMADCP093_000000.ENX',...
'../ping/KMADCP093_000001.ENX',...
'../ping/KMADCP093_000002.ENX',...
'../ping/KMADCP093_000003.ENX',...
'../ping/KMADCP094_000000.ENX',...
'../ping/KMADCP095_000000.ENX',...
'../ping/KMADCP095_000001.ENX',...
'../ping/KMADCP096_000000.ENX',...
'../ping/KMADCP097_000000.ENX',...
'../ping/KMADCP098_000000.ENX',...
'../ping/KMADCP099_000000.ENX',...
'../ping/KMADCP099_000001.ENX'};
   r = [];

   for ifile = 1:length(files)
   file = files{ifile};
   r = load_raw(instclass, file, params, ...
   'finish', 0, ...
   'pingtype', pingtype, ...
   'matfile', 1, ...
   'leftover', r);
end

