@ECHO off

REM This is a DOS .BAT file to make it easier to run quick_adcp.py
REM USAGE: quickadcp_py [cntfile]
REM
REM The control file defaults to "q_py.cnt", or can be specified 
REM     on the command line.  The contents should look something like this:
REM ############################
REM # the control file can have ## hash markes as comments
REM # everything after a "#" sign will be ignored
REM ##
REM 
REM # for a pingdata example, the minimum necessary entries are:
REM --yearbase  2004   # yearbase (usually the year the data were collected)
REM --use_refsm       # choose to use "smoothr" or "refsm" for reference layer
REM --datafile_glob pingdata.???    # a wildcard expression for the data files
REM


set PYTHONPATH=%PROGRAMDIR%\codas3\bin\scripts;%PROGRAMDIR%\py_common

IF  "%1"==""  GOTO error
IF NOT "%1"==""  GOTO runnit

:error
python %PROGRAMDIR%\codas3\bin\scripts\quick_adcp.py --help
echo DOS pingdata help: quickadcp_py --commands pingdata
echo DOS LTA help: quickadcp_py --commands LTA
echo DOS usage: quickadcp_py --cntfile controlfile
echo ""
 
GOTO end
:runnit
python %PROGRAMDIR%\codas3\bin\scripts\quick_adcp.py %1 %2 %3 %4 %5 %6 %7 %8 %9
GOTO end

:end
