#ifndef dbhost_included
#define dbhost_included
/*
       ADCP DATABASE SYSTEM OPTIONS
*/
#define PC_COMPATIBLE_HOST   0
#define VAXD_COMPATIBLE_HOST 1
#define SUN3_COMPATIBLE_HOST 2 /* including Alliant, HPUX */
#define UNKNOWN_HOST        -1
/*
       COMPILER OPTIONS
*/
#define VAX_VMS_C            0
#define MICROSOFT_C          1
#define TURBO_C              2
#define K_AND_R_C            4
#define HP_UNIX_C            6
#define ANSI_C               7
#define BERKELEY_UNIX_C      4
/*
       PROTOTYPES

   If your C compiler allows full function declarations in prototypes,
   set PROTOTYPE_ALLOWED to 1 in order to enable error-checking of
   parameter types.  Otherwise, set PROTOTYPE_ALLOWED to 0.
*/
/*
       TRUNCATION_TOWARD_0

   If your system truncates negative numbers toward zero (e.g., -1.8 goes to
   -1, not -2) then set TRUNCATION_TOWARD_0 to 1.  Otherwise, set it to 0.
*/
/*---------------------------------------------------------------------------
    HOST ENVIRONMENT MUST BE PROPERLY DEFINED HERE
*/
#define HOST_ENVIRONMENT              SUN3_COMPATIBLE_HOST
#define HOST_BYTES_PER_WORD           4
#define COMPILER                      ANSI_C
#define PROTOTYPE_ALLOWED             1
#define TRUNCATION_TOWARD_0           1
#define LACKS_STRICMP
/*---------------------------------------------------------------------------*/

#endif
