function fig = gplotvector()
% This is the machine-generated representation of a Handle Graphics object
% and its children.  Note that handle values may change when these objects
% are re-created. This may cause problems with any callbacks written to
% depend on the value of the handle at the time the object was saved.
% This problem is solved by saving the output as a FIG-file.
%
% To reopen this object, just type the name of the M-file at the MATLAB
% prompt. The M-file and its associated MAT-file must be on your path.
% 
% NOTE: certain newer features in MATLAB may not have been saved in this
% M-file due to limitations of this format, which has been superseded by
% FIG-files.  Figures which have been annotated using the plot editor tools
% are incompatible with the M-file/MAT-file format, and should be saved as
% FIG-files.

global VECFIG

mat1 = {'50'
    '75'
    '125'
    '175'
    '225'};
mat2 = {'Lambert'
    'Mercator'
    'More...'};
 mat3 = {'75'
    '125'
    '175'
    '225'
    '275'};
 mat11 = {'ss_block (Smith-Sandwell)'
    'Tbase (m_tbase)',
    'M_map (m_elev)'};
 mat12 = {'Filled contours'
    'Line contours'
    'None'};
 
str_bb = {'None'};
if isfield(VECFIG, 'loadfn')
   if ~isempty(VECFIG.loadfn)
      str_bb = VECFIG.loadfn;
   end
end

h0 = figure('Color',[0.92 0.92 0.97], ...
	'FileName','gplotvector.m', ...
	'MenuBar','none', ...
	'Name','Vector Menu', ...
	'NumberTitle','off', ...
	'PaperPosition',[18 180 576 432], ...
	'PaperUnits','points', ...
	'Position',[277 77 511 631], ...
	'Tag','Figvector', ...
	'ToolBar','none');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[362.7 441.9 31.5 19.8], ...
	'String','1', ...
	'Style','edit', ...
	'Tag','txtboxscale');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[254.7 439.19 104.4 18], ...
	'String','Scale  (inches/data unit)', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[94.49 441.9 155.7 19.8], ...
	'String','KA0006; 50-75 m', ...
	'Style','edit', ...
	'Tag','txtboxtitle');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[62.0999 445.409 26.1 10.8], ...
	'String','Title:', ...
	'Style','text', ...
	'Tag','StaticText2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[217.8 415.8 72 13.5], ...
	'String','Min. depth (m)', ...
	'Style','text', ...
	'Tag','StaticText2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[309.6 490.5 83.7 13.5], ...
	'String','Year base:', ...
	'Style','text', ...
	'Tag','StaticText2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.7 0.7 0.7], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[44.0099 199.8 89.1 23.4], ...
	'String','Add date stamp', ...
	'Style','checkbox', ...
	'Tag','chkboxdate', ...
	'Value',1);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
	'FontSize',12, ...
	'FontWeight','demi', ...
	'ForegroundColor',[1 0 0], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[28.8 170.1 67.5 14.4], ...
	'String','FILES:', ...
	'Style','text', ...
	'Tag','StaticText3', ...
	'UserData','[ ]');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
	'ListboxTop',0, ...
	'Position',[25.2 350.1 398.7 11.7], ...
	'String','__________________________________________________________', ...
	'Style','text', ...
	'Tag','StaticText4');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
	'FontSize',12, ...
	'FontWeight','demi', ...
	'ForegroundColor',[1 0 0], ...
	'ListboxTop',0, ...
	'Position',[20.7 487.8 96.3 16.2], ...
	'String','BASIC INPUT:', ...
	'Style','text', ...
	'Tag','StaticText3', ...
	'UserData','[ ]');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
	'FontSize',12, ...
	'FontWeight','demi', ...
	'ForegroundColor',[1 0 0], ...
	'ListboxTop',0, ...
	'Position',[20.7 330.3 129.6 15.3], ...
	'String','OTHER FEATURES:', ...
	'Style','text', ...
	'Tag','StaticText3', ...
	'UserData','[ ]');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
	'ListboxTop',0, ...
	'Position',[25.2 512.09 413.9 14.4], ...
	'String','__________________________________________________________', ...
	'Style','text', ...
	'Tag','StaticText4');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
	'ListboxTop',0, ...
	'Position',[25.2 189.9 397.8 10.8], ...
	'String','__________________________________________________________', ...
	'Style','text', ...
	'Tag','StaticText4');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.7 0.7 0.7], ...
	'Callback','vectormaster(''printfile'');', ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[52.2 138.6 102.6 22.5], ...
	'String','Save print file:', ...
	'Style','checkbox', ...
	'Tag','chkboxprint');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
	'FontSize',18, ...
	'ListboxTop',0, ...
	'Position',[154.8 520.19 151.2 25.2], ...
	'String','Vector Plotting', ...
	'Style','text', ...
	'Tag','StaticText5');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.71 0.71 0.71], ...
	'Callback','vectormaster(''cancel'');', ...
	'ForegroundColor',[0 0 1], ...
	'ListboxTop',0, ...
	'Position',[79.1099 21.6 80.09 25.2], ...
	'String','Cancel/ Close', ...
	'Tag','btnCancel');

%%% help button
%h1 = uicontrol('Parent',h0, ...
%	'Units','points', ...
%	'BackgroundColor',[0.71 0.71 0.71], ...
%	'Callback','vectormaster(''help'');', ...
%	'ForegroundColor',[0 0 1], ...
%	'ListboxTop',0, ...
%	'Position',[185.  21.6 80. 25.2], ...
%	'String','Help', ...
%	'Tag','btnHelp');

h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.702 0.702 0.702], ...
	'Callback','vectormaster(''readfigvector'')', ...
	'ForegroundColor',[0 0 1], ...
	'ListboxTop',0, ...
	'Position',[291.6 21.6 89.09 25.2], ...
	'String','Update & Preview', ...
	'Tag','btnOK');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[119.7 490.49 46.8 13.5], ...
	'String','Data set:', ...
	'Style','text', ...
	'Tag','StaticText2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'ListboxTop',0, ...
	'Position',[174.6 120.6 251.1 62.1], ...
	'Style','frame', ...
	'Tag','Frame1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
	'ListboxTop',0, ...
	'Position',[180 162.9 234.9 12.6], ...
	'String','Enter/ Edit name of previously saved plot-setup file:', ...
	'Style','text', ...
	'Tag','StaticText6');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.702 0.702 0.702], ...
	'Callback','vectormaster(''loadnow'');', ...
	'ForegroundColor',[0 0 1], ...
	'ListboxTop',0, ...
	'Position',[357.3 130.5 58.5 22.5], ...
	'String','Load Now', ...
	'Tag','btnLoad');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'ListboxTop',0, ...
	'Position',[174.6 53.1 251.1 64.1], ...
	'Style','frame', ...
	'Tag','Frame1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
	'ListboxTop',0, ...
	'Position',[179.1 99.  235.8 12.6], ...
	'String','Enter/ Edit name of file to save plot-setup:', ...
	'Style','text', ...
	'Tag','StaticText6');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[279.9 58.4099 72 19.8], ...
	'String','vecconfig', ...
   'HorizontalAlignment','center', ...
	'Style','edit', ...
	'Tag','txtboxsavefn');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.702 0.702 0.702], ...
	'Callback','vectormaster(''savenow'');', ...
	'ForegroundColor',[0 0 1], ...
	'ListboxTop',0, ...
	'Position',[357.3 64.8 58.41 22.5], ...
	'String','Save Now', ...
	'Tag','btnSave');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.71 0.71 0.71], ...
	'Callback','vectormaster(''mindepth'')', ...
	'ListboxTop',0, ...
	'Max',5, ...
	'Min',1, ...
	'Position',[213.3 392.4 75.51 20.7], ...
	'String',mat1, ...
	'Style','popupmenu', ...
	'Tag','popupdepth1', ...
	'Value',1);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.7 0.7 0.7], ...
	'Callback','vectormaster(''mvecfigsetup'');', ...
	'ForegroundColor',[0 0 1], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[250.2 234 170.1 23.4], ...
	'String','  Customize Arrows, circles ...', ...
	'Tag','btnArrow');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.702 0.702 0.702], ...
	'Callback','vectormaster(''moreboundaries'')', ...
	'ListboxTop',0, ...
	'Max',3, ...
	'Min',1, ...
	'Position',[44.1 296.1 154.8 20.7], ...
	'String',mat2, ...
	'Style','popupmenu', ...
	'Tag','popupproj', ...
	'Value',2);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[44.1 315.9 161.1 11.7], ...
	'String','Select Projection (default = Merc)', ...
	'Style','text', ...
	'Tag','StaticText2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.7 0.7 0.7], ...
	'Callback','vectormaster(''grid'');', ...
	'ForegroundColor',[0 0 1], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[250.2 261 170.1 23.4], ...
	'String','  Customize Map Grid ...', ...
	'Tag','btnGrid');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.7 0.7 0.7], ...
	'Callback','vectormaster(''coast'');', ...
	'ForegroundColor',[0 0 1], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[250.2 288 170.1 23.4], ...
	'String','  Customize Map Coastline ...', ...
	'Tag','btnCoast');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.7 0.7 0.7], ...
	'Callback','vectormaster(''boundaries'');', ...
	'ForegroundColor',[0 0 1], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
   'Position',[250.2 314.1 170.1 23.4], ...
	'String','  Customize Map Parameters ...', ...
	'Tag','btnProj');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.7 0.7 0.7], ...
	'Callback','vectormaster(''xytsection'');', ...
	'ForegroundColor',[0 0 1], ...
	'ListboxTop',0, ...
	'Position',[249.3 359.1 170.1 23.4], ...
	'String','Select section with XYTZOOM ...', ...
	'Tag','btnXYTzoom');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.702 0.702 0.702], ...
	'Callback','vectormaster(''dprange'')', ...
	'ListboxTop',0, ...
	'Position',[92.7 414.9 87 23.4], ...
	'String','Depth range', ...
	'Style','checkbox', ...
	'Tag','chkdprange', ...
	'Value',1);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.702 0.702 0.702], ...
	'Callback','vectormaster(''decimal'')', ...
	'ListboxTop',0, ...
	'Position',[92.7 366.3 87 23.4], ...
	'String','Decimal days', ...
	'Style','checkbox', ...
	'Tag','chkdecimal');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.702 0.702 0.702], ...
	'Callback','vectormaster(''calendar'')', ...
	'ListboxTop',0, ...
	'Position',[92.7 390.6 87 23.4], ...
	'String','Calendar dates', ...
	'Style','checkbox', ...
	'Tag','chkcalendar');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[28.8 418.409 57.5099 11.7], ...
	'String','Add to title :', ...
	'Style','text', ...
	'Tag','StaticText2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[303.3 413.099 72.8099 16.2], ...
	'String','Max. depth (m)', ...
	'Style','text', ...
	'Tag','StaticText2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.71 0.71 0.71], ...
	'Callback','vectormaster(''maxdepth'')', ...
	'ListboxTop',0, ...
	'Max',5, ...
	'Min',1, ...
	'Position',[301.409 392.4 75.5099 20.7], ...
	'String',mat3, ...
	'Style','popupmenu', ...
	'Tag','popupdepth2', ...
	'Value',1);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.7 0.7 0.7], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[235.5 199.8 89.1 23.4], ...
	'String','Omit main title', ...
	'Style','checkbox', ...
	'Tag','chkskiptitle');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.7 0.7 0.7], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[331.2 200.7 89.1 23.4], ...
	'String','Fonts bold', ...
	'Style','checkbox', ...
	'Tag','chkbold');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.7 0.7 0.7], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[139.8 199.8 89.1 23.4], ...
	'String','Display in B/W', ...
	'Style','checkbox', ...
	'Tag','chkblkwht');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[49.4099 121.5 71.0 11.7], ...
	'String','Print file name:', ...
	'Style','text', ...
	'Tag','StaticText2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[51.3 102.6 103.5 19.8], ...
	'String','KA0006', ...
	'Style','edit', ...
	'Tag','txtboxprintfn');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'HorizontalAlignment','right', ...
	'ListboxTop',0, ...
	'Position',[179.1 79.0 172.8 18], ...
	'String','file name:', ...
	'Style','edit', ...
	'Tag','txtboxsavepath');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.702 0.702 0.702], ...
	'ListboxTop',0, ...
	'Position',[232.2 60.3 44.0999 12.6], ...
	'String','file name:', ...
	'Style','text', ...
	'Tag','StaticText7');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[362.7 487.8 36.9 19.8], ...
	'String','2000', ...
	'Style','edit', ...
	'Tag','txtboxyear');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[163.8 492.3 139.5 11.7], ...
	'String','* _xy.mat, *_ uv.mat', ...
	'Style','text', ...
	'Tag','textdata');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[27.9 467.9 62.09 13.5], ...
	'String','Output path:', ...
	'Style','text', ...
	'Tag','StaticText2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
   'Callback', 'vectormaster(''calendar'')', ...
	'HorizontalAlignment','right', ...
	'ListboxTop',0, ...
	'Position',[93.59 464.4 254.7 19.8], ...
	'String','temporary_string', ...
	'Style','edit', ...
	'Tag','txtboxoutpath');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
	'FontSize',10, ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[44.1 282.6 161.1 11.7], ...
	'String','Select Database (default = M_map)', ...
	'Style','text', ...
	'Tag','text1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'FontSize',10, ...
	'Position',[44.1 261.9 154.8 20.7], ...
	'String',mat11, ...
	'Style','popupmenu', ...
	'Tag','popupdbase', ...
	'Value',3);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
	'FontSize',10, ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[44.1 249.3 199.8 11.7], ...
	'String','Select Basin style (default = Filled contours)', ...
	'Style','text', ...
	'Tag','text2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'FontSize',10, ...
	'Position',[44.1 228.6 154.8 20.7], ...
	'String',mat12, ...
	'Style','popupmenu', ...
	'Tag','popupbasin', ...
	'Value',1);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'ForegroundColor',[0 0 0], ...
   'HorizontalAlignment','right', ...
	'ListboxTop',0, ...
	'Position',[229 123 121 18.], ...
	'String',str_bb, ...
	'Style','popupmenu', ...
	'Tag','popuploadfn', ...
	'Value',1);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.702 0.702 0.702], ...
	'ListboxTop',0, ...
	'Position',[182 127. 44.0 12.6], ...
	'String','file name:', ...
	'Style','text', ...
	'Tag','StaticText7');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
   'Callback', 'vectormaster(''renewloadfn'')', ...
	'HorizontalAlignment','right', ...
	'ListboxTop',0, ...
	'Position',[180 143.1 171 18], ...
	'Style','edit', ...
	'Tag','txtboxloadpath');
if nargout > 0, fig = h0; end
