function gxytzoom2m(arg1, arg2)

n = (num2str(arg2));

hlat = findobj(gcbf,'tag','radiolat');
hlon = findobj(gcbf,'tag','radiolon');
htim = findobj(gcbf,'tag','radiotime');
hfra = findobj(gcbf,'tag','radiofraction');

switch(n)
   case '1'
      %set(hlon,'value',1);
      set(htim,'value',0);
      set(hfra,'value',0);
   case '2'
      %set(hlat,'value',1);
      set(htim,'value',0);
      set(hfra,'value',0);
   case '3'
      set(hlat,'value',0);
      set(hlon,'value',0);
      set(hfra,'value',0);
   case '4'
      set(hlat,'value',0);
      set(hlon,'value',0);
      set(htim,'value',0);
end

rlatval = get(hlat,'value');
rlonval = get(hlon,'value');
tblat = findobj(gcbf,'tag','tboxlatpossible');
tblon = findobj(gcbf,'tag','tboxlonpossible');
latstr = get(tblat,'string');
lonstr = get(tblon,'string');

if rlatval == 1 & rlonval ==1
   newstrlat = 'S lat. N lat.  W lon. E lon.';
   %spc = '  ';
   %newstrlon = [latstr, spc, lonstr];
   newstrlon = sprintf('[%s %s]',latstr(2:end-1), lonstr(2:end-1));
   set(tblat,'string',newstrlat);
   set(tblon,'string',newstrlon);
   n = '5';
else
   ns = str2num(lonstr);
   if length(ns) == 4
      newstrlat = sprintf('[ %.2f  %.2f ]', ns(1:2));
      newstrlon = sprintf('[ %.2f  %.2f ]', ns(3:4));
      set(tblat,'string',newstrlat);
      set(tblon,'string',newstrlon);
   end
end

set(hlat,'userdata', n);
%if rlatval == 1 & rlonval ==1,  set(hlat,'userdata', '5'); end;