function fig = mixedpanelsdlg()
% This is the machine-generated representation of a Handle Graphics object
% and its children.  Note that handle values may change when these objects
% are re-created. This may cause problems with any callbacks written to
% depend on the value of the handle at the time the object was saved.
% This problem is solved by saving the output as a FIG-file.
%
% To reopen this object, just type the name of the M-file at the MATLAB
% prompt. The M-file and its associated MAT-file must be on your path.
% 
% NOTE: certain newer features in MATLAB may not have been saved in this
% M-file due to limitations of this format, which has been superseded by
% FIG-files.  Figures which have been annotated using the plot editor tools
% are incompatible with the M-file/MAT-file format, and should be saved as
% FIG-files.

ref2 = { 
    'PERCENT GOOD'
    'AMPLITUDE'
    'SPECTRAL WIDTH'
    'W'
    'ERROR VELOCITY'
    'MEASURED U'
    'MEASURED V'
    'UABS  (smoothr)'
    'UABS  (gps nav)'
    'VABS  (smoothr)'
    'VABS  (gps nav)'
    'FORE ABS (smoothr)'
    'FORE ABS (gps nav)'
    'PORT ABS (smoothr)'
    'PORT ABS (gps nav)'
    'None'};

h0 = figure('Units','points', ...
	'Color',[0.92 0.92 0.97], ...
	'FileName','mixedpanelsdlg.m', ...
	'MenuBar','none', ...
	'Name','Panel Layout', ...
	'NumberTitle','off', ...
	'PaperPosition',[18 180 576 432], ...
	'PaperUnits','points', ...
	'Position',[351.9 272.7 232.2 265.5], ...
	'Tag','Figpanel', ...
	'ToolBar','none');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
	'ForegroundColor',[0 0 1], ...
	'ListboxTop',0, ...
	'Position',[24.3 66.50 21.6 13.5], ...
	'String','(5)', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.702 0.702 0.702], ...
	'Callback','close', ...
	'ForegroundColor',[0 0 1], ...
	'ListboxTop',0, ...
	'Position',[33.3 19.8 66.50 22.5], ...
	'String','Cancel', ...
	'Tag','btnCancel');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.702 0.702 0.702], ...
	'Callback','panelmaster(''mixedok'');', ...
	'ForegroundColor',[0 0 1], ...
	'ListboxTop',0, ...
	'Position',[130.5 20.7 66.50 22.5], ...
	'String','OK', ...
	'Tag','btnOK');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
	'ForegroundColor',[0 0 1], ...
	'ListboxTop',0, ...
	'Position',[32.4 201.6 164.7 12.6], ...
	'String','________________________________________________', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
	'ForegroundColor',[0 0 1], ...
	'ListboxTop',0, ...
	'Position',[24.3 176.4 21.6 13.5], ...
	'String','top', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
	'ForegroundColor',[0 0 1], ...
	'ListboxTop',0, ...
	'Position',[24.3 149.4 21.6 13.5], ...
	'String','(2)', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
	'ForegroundColor',[0 0 1], ...
	'ListboxTop',0, ...
	'Position',[24.3 121.5 21.6 13.5], ...
	'String','(3)', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
	'ForegroundColor',[0 0 1], ...
	'ListboxTop',0, ...
	'Position',[24.3 94.40 21.6 13.5], ...
	'String','(4)', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
	'FontSize',14, ...
	'ListboxTop',0, ...
	'Position',[42.3 227.7 148.5 20.7], ...
	'String','Select Panel Layout', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.92 0.92 0.97], ...
	'FontSize',11, ...
	'ForegroundColor',[1 0 0], ...
	'ListboxTop',0, ...
	'Position',[39.50 206.1 148.5 20.7], ...
	'String','( 2-5 panels / page )', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.702 0.702 0.702], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Max',16, ...
	'Min',1, ...
	'Position',[50.4 174.6 149 19.8], ...
	'String',ref2, ...
	'Style','popupmenu', ...
	'Tag','ppo1', ...
	'Value',1);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.702 0.702 0.702], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Max',16, ...
	'Min',1, ...
	'Position',[50.4 146.7 149 19.8], ...
	'String',ref2, ...
	'Style','popupmenu', ...
	'Tag','ppo2', ...
	'Value',2);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.702 0.702 0.702], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Max',16, ...
	'Min',1, ...
	'Position',[50.4 118.8 149 19.8], ...
	'String',ref2, ...
	'Style','popupmenu', ...
	'Tag','ppo3', ...
	'Value',16);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.702 0.702 0.702], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Max',16, ...
	'Min',1, ...
	'Position',[50.4 90.9 149 19.8], ...
	'String',ref2, ...
	'Style','popupmenu', ...
	'Tag','ppo4', ...
	'Value',16);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.702 0.702 0.702], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Max',16, ...
	'Min',1, ...
	'Position',[50.4 63 149 19.8], ...
	'String',ref2, ...
	'Style','popupmenu', ...
	'Tag','ppo5', ...
	'Value',16);
if nargout > 0, fig = h0; end
