function cmap = topograys(clev)
% cmap = topograys(clev)
% gray topography mapping colors.

% direct derivation from topocolors(clev)

greyd = [150 150 150]; %[050 163 219];
greym = [170 170 170]; %[111 215 255];
greys = [190 190 190]; %[205 242 255];
grayd = [210 210 210]; %[251 235 231];
graym = [230 230 230]; %[223 191 147];
grays = [250 250 250]; %[178 132 055];

greygraymap = [0     greyd/255;
             1/5    greym/255;
             2/5    greys/255;
             3/5    grayd/255;
             4/5    graym/255;
             5/5    grays/255];
index = [0:length(clev)]'/length(clev);
cmap = table1([greygraymap], index);

