function [cmat, hh, cfmat] = contour6(varargin)
% [cmat, hh, cfmat] = contour6(varargin)
% make contour act like version 6
%

if version_int == 7
   argcell = { 'v6', varargin{:}};
else
   argcell = varargin;
end

if nargout == 0
   contour(argcell{:});
elseif nargout == 1
   cmat = contour(argcell{:});
elseif nargout == 2
   [cmat, hh] = contour(argcell{:});
elseif nargout == 3
   [cmat, hh, cfmat] = contour(argcell{:});
end
