function [cmat, hh, cfmat] = plot6(varargin)
% [cmat, hh, cfmat] = plot6(varargin)
% make plot act like version 6
%

if version_int == 7
   argcell = { 'v6', varargin{:}};
else
   argcell = varargin;
end

if nargout == 1
   cmat = plot(argcell{:});
elseif nargout == 2
   [cmat, hh] = plot(argcell{:});
elseif nargout == 3
   [cmat, hh, cfmat] = plot(argcell{:});
end
