function save6(varargin)
% save6 filename [vars ...]
% saves matfile so it can be read by version 6

if version_int == 7
   argcell = {varargin{:},'v6'};
else
   argcell = varargin;
end

% start string with output name
vstr = ' ';
for ii=1:length(varargin)
   vstr = [vstr, ' ', varargin{ii}];
end

if version_int == 7
   vstr = [vstr, ' -v6'];
end

cmd = sprintf(' save %s  ', vstr);
% evaluate the 'save' in the caller namespace
evalin('caller', cmd);


