function rownum = r_row(rbinstruct, rowname)
% rownum = r_row(rbinstruct, rowname)
%
% find the rbin row number corresponding to the row name
%
% eg. after presumably using serasc2bin.py to create an rbin file
% [rdata, rstruct]=read_bin(rbinfile);
% rownum = rdata(rstruct,'lon') 
% the rownum is the number of field in the structure rstruct.rows which is 'lon'


rownum = find(ismember(rbinstruct.rows, rowname));

if (isemptys(rownum))
   fprintf('\n\n ---->>>  bad choice of field name:\n')
   fprintf('Instead of"%s" use one of these:\n', rowname)
   rbinstruct.rows
   return
end

