function cor_sbrmask = cor_sbredit(cor, ...
              sbr_bincheck, sbr_binreject, sbr_corcutoff, sbr_binval);
% cor_sbrmask =  cor_sbredit(cor, ...
%              sbr_bincheck, sbr_binreject, sbr_corcutoff, sbr_binval);
% called by pingedit
% returns a pflag mask with sbr_binval in bins sbr_binreject where
%    cor at bin sbr_bincheck falls below sbr_corcutoff


cor_sbrmask = zeros(size(cor));
%   %profilewise  (identify profile, reject bins in that profile)
badprofi = find(cor(sbr_bincheck,:) < sbr_corcutoff);
cor_sbrmask(sbr_binreject, badprofi) = sbr_binval;

