function err_binmask = err_binedit(emeas, err_cutoff, err_binval)
% err_binmask = err_binedit(emeas, err_cutoff, err_binval)
% called by pingedit
% returns a pflag mask with err_binval where abs(err) excedes err_cutoff

err_binmask = zeros(size(emeas));   
err_binmask(abs(emeas) > err_cutoff) = err_binval;


