function sbc_binmask = sbc_binedit(cor, sbc_corcutoff, sbc_testbins, sbc_binval)
%cor_binmask = cor_binedit(cor, sbc_corcutoff, sbc_testbins, sbc_binval)
% called by pingedit
% returns a pflag mask with sbc_binval where cor falls below
% sbc_corcutoff in sbc_testbins
%              



sbc_binmask = zeros(size(cor));   
shallowmask = sbc_binmask(sbc_testbins,:);
shallowmask(cor(sbc_testbins,:) < sbc_corcutoff) = sbc_binval;
sbc_binmask(sbc_testbins,:) = shallowmask;



