function c1 = mk_config1(instclass, a)

%% c1 is a shipboard ADCP configuration_1 structure represented
%% as a double array.
%% a is a structure from read_os.

c1 = 1e38 * ones(23, 1);
ii = config1_ind;


c1(ii.num_bins) = a.config.ncells;
c1(ii.bin_length) = a.config.cell;
c1(ii.pls_length) = a.config.pulse;
c1(ii.blank_length) = a.config.blank;
c1(ii.tr_depth) = a.config.tr_depth;
c1(ii.freq_transmit) = a.config.sysconfig.frequency * 1000;


