function d = mk_depth(a, tr_depth)
% function d = mk_depth(a, tr_depth)
% a is output from read_os;
% tr_depth is an optional input for overriding the recorded transducer depth


if nargin == 1, tr_depth = a.config.tr_depth; end
NB = a.config.ncells;

d = 0:(NB-1);
d = tr_depth + a.config.bin1distance + d * a.config.cell;
