function outs = vmdas(ins);
% outs = vmdas(ins);
% define a structure of type 'vmdas'

softclass = 'vmdas';


if (nargin == 0)
   outs = struct(...
      'v1', [],...
      'v2', [], ...
      'v3', [], ...
      'v4', [], ...
      'a1', [], ...
      'a2', [], ...
      'a3', [], ...
      'a4', [], ...   
      'c1', [], ...
      'c2', [], ...
      'c3', [], ...
      'c4', [], ...
      'temperature',  []   ,...
      'heading',   [], ...
      'dday',     []);

   
   outs = class(outs, softclass);
   
elseif (isa(ins, softclass))
   outs = ins;
else
   outs.v1 = squeeze(ins.vel(:,1,:));
   outs.v2 = squeeze(ins.vel(:,2,:));
   outs.v3 = squeeze(ins.vel(:,3,:));
   outs.v4 = squeeze(ins.vel(:,4,:));
   
   outs.a1 = squeeze(ins.amp(:,1,:));
   outs.a2 = squeeze(ins.amp(:,2,:));
   outs.a3 = squeeze(ins.amp(:,3,:));
   outs.a4 = squeeze(ins.amp(:,4,:));
   
   outs.c1 = squeeze(ins.cor(:,1,:));
   outs.c2 = squeeze(ins.cor(:,2,:));
   outs.c3 = squeeze(ins.cor(:,3,:));
   outs.c4 = squeeze(ins.cor(:,4,:));
   
   outs.heading      =  ins.heading;
   outs.dday         =  ins.dday;
   outs.temperature  =  ins.temperature;

   outs  =  class(outs, softclass);
end