fname = 'hale4001'

if exist('old_fname', 'var') & strcmp(fname, old_fname) & exist('ts2', 'var')
   disp([fname ' is already loaded'])
   % nothing
else
   disp(['Reading ' fname]);
   [ts2, dday] = adp(fname, 'ts2');
   old_fname = fname;
end

ss = (dday - dday(1)) * 86400 ;

figure
orient tall
subplot(4,1,1)
plot(ss, ts2(:,1:2))
ylabel('XYflux')
title(fname)

subplot(4,1,2)
plot(ss, ts2(:,3))
ylabel('Zflux')

subplot(4,1,3)
plot(ss, ts2(:,4))
set(gca, 'YLim', [0 30]);
ylabel('CT')

subplot(4,1,4)
plot(ss, ts2(:,5))
ylabel('Volt')
xlabel('seconds')



