function yy = akloop(xi, yi, xx, min_dx)
%function yy = akloop(xi, yi, xx, min_dx)
%
% Just like akima.m, but loops over the columns in xi, yi:
% Quick and dirty, instead of trying to vectorize akima better.
%
[nr, nc] = size(yi);
nout = length(xx);
yy = NaN + zeros(nout, nc);
for ii = 1:nc,
   yy(:,ii) = akima(xi(:,ii), yi(:,ii), xx, min_dx);
end      
