function discretized = discretize(data, interval)
%  discretized = discretize(data, interval)
% round data to nearest interval  (useful in conjuction with uniq_plot

if (nargin ~= 2)
   help discretize
   error('must enter data and interval')
end

discretized = interval * round(data/interval);

