function cmap = topocolors(clev)
% cmap = topocolors(clev)
% Nice topography mapping colors.

blued = [050 163 219];
bluem = [111 215 255];
blues = [205 242 255];
tand = [251 235 231];
tanm = [223 191 147];
tans = [178 132 055];

bluetanmap = [0     blued/255;
             1/5    bluem/255;
             2/5    blues/255;
             3/5    tand/255;
             4/5    tanm/255;
             5/5    tans/255];
index = [0:length(clev)]'/length(clev);
cmap = table1([bluetanmap], index);

